/*
 * Copyright 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#include "ai-engine/aiengine.h"
#include "ai-engine/aiengineerror.h"
#include "ai-engine/aienginefactory.h"
#include "ai-engine/cloudnlpengine.h"
#include "ai-engine/cloudspeechengine.h"
#include "ai-engine/cloudvisionengine.h"
#include "ai-engine/embeddingengine.h"
#include "ai-engine/nlpengine.h"
#include "ai-engine/ondeviceembeddingengine.h"
#include "ai-engine/ondevicenlpengine.h"
#include "ai-engine/ondevicespeechengine.h"
#include "ai-engine/ondevicevisionengine.h"
#include "ai-engine/speechengine.h"
#include "ai-engine/visionengine.h"